// Copyright (c) Microsoft Corporation. All rights reserved.

#include "ReportUploaderLogging.h"

#include "ReportUploaderProvider.h"

// b59d8b82-fe34-4fc0-8ca7-e5b7c9b3f343
TRACELOGGING_DEFINE_PROVIDER(
    g_errorReportingUploaderProvider,
    "Microsoft.ErrorReporting.Uploader",
    (0xb59d8b82, 0xfe34, 0x4fc0, 0x8c, 0xa7, 0xe5, 0xb7, 0xc9, 0xb3, 0xf3, 0x43));

namespace Azure { namespace Device { namespace ErrorReporting {
namespace Uploader {

void EnableLogging()
{
    TraceLoggingRegister(g_errorReportingUploaderProvider);
}

void DisableLogging()
{
    TraceLoggingUnregister(g_errorReportingUploaderProvider);
}

}}}}
