// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <azure-device-util/Permission.h>

namespace Azure { namespace Device { namespace Policy {

class IPolicyManager
{
  public:
    virtual ~IPolicyManager() {}
    virtual Utils::TelemetryPermission GetTelemetryPermission() const = 0;
    virtual void Update() = 0;
};

}}}
