// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <string_view>

namespace Azure { namespace Device { namespace Telemetry { namespace Config {

// clang-format off
constexpr std::string_view Telemetry_EventStoreSizeBytes = "Telemetry.EventStoreSizeBytes";
constexpr std::string_view Telemetry_DeviceClass = "Telemetry.DeviceClass";
constexpr std::string_view Telemetry_DeviceMake = "Telemetry.DeviceMake";
constexpr std::string_view Telemetry_DeviceModel = "Telemetry.DeviceModel";
constexpr std::string_view Telemetry_TenantToken = "Telemetry.TenantToken";


constexpr std::string_view SettingsNamespaces = "SettingsNamespaces";
// clang-format on

}}}}
