// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <string_view>

#include <jsonbuilder/JsonBuilder.h>
#include <nlohmann/json.hpp>

namespace Azure { namespace Device { namespace Utils {

class Json
{
  public:
    static void InsertJsonValueIntoJsonBuilder(
        jsonbuilder::JsonBuilder& jb,
        jsonbuilder::JsonIterator itr,
        std::string_view name,
        const nlohmann::json& j);
};

}}}
