// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <uuid/uuid.h>

// If no uuid_generate_time_safe variant exists, provide one that returns zero.
#ifndef HAVE_UUID_GENERATE_TIME_SAFE

int uuid_generate_time_safe(uuid_t out);

#endif