// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <tracelogging/TraceLoggingProvider.h>

TRACELOGGING_DECLARE_PROVIDER(g_deviceHealthCensusProvider);
TRACELOGGING_DECLARE_PROVIDER(g_deviceHealthCensusLocalProvider);

// Default Census attribute values (copied from Windows Census in the OS repo:
// onecore/base/appcompat/programs/devicecensus/dlls/include/constants.h)

#define UNKNOWN_INT -1
#define UNKNOWN_INT64 -1
#define UNKNOWN_UINT8 UINT8_MAX
#define UNKNOWN_UINT16 UINT16_MAX
#define UNKNOWN_UINT32 UINT32_MAX
#define UNKNOWN_UINT64 UINT64_MAX
#define UNKNOWN_SIZET SIZE_MAX
#define UNKNOWN_DOUBLE (double) (-1.0)
#define UNKNOWN_STRING "#"