// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <azure-device-util/FileSystem.h>

#include "AppState.h"
#include "CommonDefs.h"

namespace Azure { namespace Device { namespace Telemetry {

class DirtyShutdownMonitor
{
  public:
    DirtyShutdownMonitor();

    bool RunningFlagExists();
    void SetRunningFlag();
    void ClearRunningFlag();

  private:
    std::filesystem::path _runningFlagFile;
};

}}}