// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <cstddef>
#include <vector>

#include <nonstd/span.hpp>

namespace Azure { namespace Device { namespace Utils {

class Hash
{
  public:
    static std::vector<std::byte> SHA256(nonstd::span<const std::byte> data);
    static uint64_t Spooky64(nonstd::span<const std::byte> data, uint64_t seed);
};

}}}
