// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <chrono>
#include <string>

namespace Azure { namespace Device { namespace Utils {

class Time
{
  public:
    static std::string
    SystemTimeTo8601MillisecondString(std::chrono::system_clock::time_point time);

    static std::chrono::system_clock::time_point
    UNIXTimeToSystemTime(uint64_t unixTime);

    static std::chrono::seconds GetSystemUptime();
};

}}}
